Bug 40879 - removing jenkins app doesn't remove join script 50jenkins
removing jenkins app doesn't remove join script 50jenkins
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 17:20 CET by Ingo Steuwer
Modified: 2016-04-13 14:58 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2016-03-10 17:20:41 CET
After removing the jenkins app the join script "50jenkins" is still on the host system.

UCS 4.1-1 Errata 128
Comment 1 Dirk Wiesenthal univentionstaff 2016-03-22 11:38:07 CET
Fixed in
  univention-appcenter 5.0.20-32.143.201603221045

The whole process of when to remove joinscripts was broken. It was inspired from the univention-install-joinscript deb helper but did not take into account that for packages, joinscripts are removed automatically (due to being part of package).

For the App Center, join scripts and unjoin scripts need to be uninstalled manually.

This is now done: Just before running the script, the other one is removed if present. If it was an unjoin script and succeeded, it is also removed after being called.
Comment 2 Florian Best univentionstaff 2016-04-12 13:15:36 CEST
OK: fix
OK: Code review
OK: YAML
Comment 3 Janek Walkenhorst univentionstaff 2016-04-13 14:58:33 CEST
<http://errata.software-univention.de/ucs/4.1/146.html>